<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    style="@style/MatchWrap.Vertical">

    <include layout="@layout/toolbar_title_text" />

    <RelativeLayout style="@style/MatchMatch.Horizontal">

        <!--rfid出库、扫码出库 按钮-->
        <LinearLayout
            android:id="@+id/llOutbound"
            style="@style/MatchWrap.Horizontal"
            android:paddingHorizontal="10dp">

            <Button
                android:id="@+id/btnRfidOutbound"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="FRID 盘点" />

            <Button
                android:id="@+id/btnScanOutbound"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_weight="1"
                android:text="扫码盘点" />
        </LinearLayout>

        <androidx.core.widget.NestedScrollView
            style="@style/MatchMatch"
            android:layout_below="@+id/llOutbound">

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:padding="5dp">

                <!-- 左右两根虚线 中间名称 -->
                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:gravity="center"
                    android:paddingHorizontal="50dp">
                    <!-- 虚线 -->
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"
                        android:background="@color/purple_200" />
                    <!-- 名称 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_gravity="center"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:text="任务基础信息"
                        android:textColor="@color/purple_200"
                        android:textSize="14sp"
                        android:textStyle="bold" />
                    <!-- 虚线 -->
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"
                        android:background="@color/purple_200" />
                </LinearLayout>

                <!-- Header Information Card -->
                <androidx.cardview.widget.CardView
                    style="@style/MatchWrap"
                    android:layout_marginBottom="5dp"
                    app:cardCornerRadius="8dp"
                    app:cardElevation="3dp"
                    app:cardUseCompatPadding="true">

                    <RelativeLayout style="@style/MatchWrap">

                        <View
                            android:layout_width="5dp"
                            android:layout_height="200dp"
                            android:layout_alignTop="@+id/ll"
                            android:layout_alignBottom="@+id/ll"
                            android:background="@color/purple_200" />

                        <LinearLayout
                            android:id="@+id/ll"
                            style="@style/MatchWrap.Vertical"
                            android:paddingStart="15dp"
                            android:paddingTop="10dp"
                            android:paddingEnd="10dp"
                            android:paddingBottom="15dp">

                            <!-- 任务编号 状态 -->
                            <RelativeLayout style="@style/MatchWrap">

                                <TextView
                                    android:id="@+id/tv_task_no"
                                    style="@style/WrapWrap"
                                    android:text="-"
                                    android:textColor="@color/purple_200"
                                    android:textSize="16sp"
                                    android:textStyle="bold" />

                                <TextView
                                    android:id="@+id/tv_task_status"
                                    style="@style/WrapWrap"
                                    android:layout_alignParentEnd="true"
                                    android:layout_gravity="end"
                                    android:background="@drawable/status_green_bg"
                                    android:paddingHorizontal="10dp"
                                    android:paddingVertical="2dp"
                                    android:text="-"
                                    android:textColor="@color/purple_200"
                                    android:textSize="12sp" />
                            </RelativeLayout>

                            <!--横线-->
                            <View
                                android:layout_width="match_parent"
                                android:layout_height="1dp"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="10dp"
                                android:background="@color/c_f5f5" />

                            <TextView
                                android:id="@+id/tv_task_name"
                                style="@style/WrapWrap"
                                android:text="-"
                                android:textColor="@color/black"
                                android:textSize="14sp"
                                android:textStyle="bold" />

                            <LinearLayout
                                style="@style/MatchWrap.Horizontal"
                                android:layout_marginBottom="5dp"
                                android:paddingTop="5dp">

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="2"
                                    android:orientation="vertical">

                                    <!-- 仓库 -->
                                    <TextView
                                        style="@style/WrapWrap"
                                        android:text="仓库"
                                        android:textColor="@color/c_6666"
                                        android:textSize="12sp" />

                                    <TextView
                                        android:id="@+id/txt_warehouse_name"
                                        style="@style/text_black13_ww"
                                        android:text="-"
                                        android:textStyle="bold" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:orientation="vertical">
                                    <!-- 已盘数 -->
                                    <TextView
                                        style="@style/WrapWrap"
                                        android:layout_marginTop="5dp"
                                        android:text="已盘数"
                                        android:textColor="@color/c_6666"
                                        android:textSize="12sp" />

                                    <TextView
                                        android:id="@+id/txt_review_number"
                                        style="@style/text_black13_ww"
                                        android:text="0"
                                        android:textStyle="bold" />

                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="0dp"
                                    android:layout_height="wrap_content"
                                    android:layout_weight="1"
                                    android:orientation="vertical">
                                    <!-- 数量/金额 -->
                                    <TextView
                                        style="@style/WrapWrap"
                                        android:layout_marginTop="5dp"
                                        android:text="总盘点数"
                                        android:textColor="@color/c_6666"
                                        android:textSize="12sp" />

                                    <TextView
                                        android:id="@+id/txt_total_number"
                                        style="@style/text_black13_ww"
                                        android:text="0"
                                        android:textStyle="bold" />
                                </LinearLayout>
                            </LinearLayout>

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                                <!-- 备注 -->
                                <TextView
                                    style="@style/WrapWrap"
                                    android:text="备注"
                                    android:textColor="@color/c_6666"
                                    android:textSize="12sp" />

                                <TextView
                                    android:id="@+id/txt_remark"
                                    style="@style/text_black13_ww"
                                    android:text="-"
                                    android:textStyle="bold" />
                            </LinearLayout>
                        </LinearLayout>
                    </RelativeLayout>
                </androidx.cardview.widget.CardView>

                <!-- 左右两根虚线 中间名称 -->
                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:gravity="center"
                    android:paddingHorizontal="50dp">
                    <!-- 虚线 -->
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"
                        android:background="@color/purple_200" />
                    <!-- 名称 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:layout_gravity="center"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:text="任务明细信息"
                        android:textColor="@color/purple_200"
                        android:textSize="14sp"
                        android:textStyle="bold" />
                    <!-- 虚线 -->
                    <View
                        android:layout_width="0dp"
                        android:layout_height="1dp"
                        android:layout_weight="1"
                        android:background="@color/purple_200" />
                </LinearLayout>

                <RelativeLayout style="@style/MatchMatch">

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/rv_outbound_details"
                        style="@style/RecyclerViewStyleMatchWrap" />

                    <LinearLayout
                        style="@style/WrapWrap.Vertical"
                        android:layout_centerInParent="true"
                        android:layout_marginTop="100dp"
                        android:gravity="center_horizontal">
                        <!--暂无数据-->
                        <include
                            android:id="@+id/included_nothing"
                            layout="@layout/include_nothing_layout" />

                        <!--暂无数据-->
                        <include
                            android:id="@+id/included_no_db"
                            layout="@layout/include_no_db_layout" />

                    </LinearLayout>
                </RelativeLayout>

            </LinearLayout>
        </androidx.core.widget.NestedScrollView>

        <RelativeLayout
            android:id="@+id/side_menu"
            android:layout_width="330dp"
            android:layout_height="match_parent"
            android:layout_alignParentStart="true"
            android:layout_centerVertical="true"
            android:background="@drawable/alert_bg"
            android:elevation="16dp"
            android:translationX="-330dp">

            <RelativeLayout
                android:id="@+id/rl_title"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:elevation="10dp">

                <TextView
                    android:id="@+id/tv_title"
                    style="@style/text_black16_ww"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="10dp"
                    android:text="FRID 盘点"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_close"
                    android:layout_width="45dp"
                    android:layout_height="45dp"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:background="?actionBarItemBackground"
                    android:padding="13dp"
                    android:src="@drawable/login_clear_icon" />

                <TextView
                    android:id="@+id/tv_status"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_marginStart="15dp"
                    android:layout_toEndOf="@+id/tv_title"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="3dp"
                    android:textColor="@color/purple_200"
                    android:textSize="12sp" />
            </RelativeLayout>

            <!--横线-->
            <View
                android:id="@+id/view_line"
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:layout_below="@+id/rl_title"
                android:layout_marginBottom="5dp"
                android:background="@color/c_f5f5" />

            <LinearLayout
                android:id="@+id/ll_RadioGroup"
                style="@style/MatchWrap.Horizontal"
                android:layout_below="@+id/view_line">

                <RadioGroup
                    android:id="@+id/RgInventory"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:paddingHorizontal="10dp">

                    <RadioButton
                        android:id="@+id/RbInventorySingle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:checked="true"
                        android:text="@string/rbInventoryOnce"
                        android:textColor="@drawable/check_text_color2"
                        android:textSize="12sp" />

                    <RadioButton
                        android:id="@+id/RbInventoryLoop"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:text="@string/rbInventoryLoop"
                        android:textColor="@drawable/check_text_color2"
                        android:textSize="12sp" />
                </RadioGroup>
            </LinearLayout>

            <LinearLayout
                style="@style/MatchWrap.Vertical"
                android:layout_below="@+id/ll_RadioGroup"
                android:layout_marginHorizontal="10dp"
                android:layout_marginTop="10dp">

                <LinearLayout
                    style="@style/MatchWrap.Horizontal"
                    android:layout_marginStart="5dp"
                    android:layout_marginBottom="10dp"
                    android:gravity="center_vertical">
                    <!-- 盘亏数 -->
                    <TextView
                        style="@style/WrapWrap"
                        android:text="盘点进度"
                        android:textColor="@color/c_6666"
                        android:textSize="14sp" />

                    <ProgressBar
                        android:id="@+id/progressBar"
                        style="?android:attr/progressBarStyleHorizontal"
                        android:layout_width="match_parent"
                        android:layout_height="15dp"
                        android:layout_marginStart="10dp"
                        android:layout_weight="1"
                        android:max="100"
                        android:progress="0"
                        android:progressDrawable="@drawable/custom_progressbar" />

                    <TextView
                        android:id="@+id/tv_progress"
                        style="@style/text_green16_ww"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="10dp"
                        android:text="0%"
                        android:textStyle="bold" />
                </LinearLayout>

                <!-- Header Information Card -->
                <LinearLayout style="@style/MatchWrap.Horizontal">

                    <androidx.cardview.widget.CardView
                        style="@style/WrapWrap"
                        android:layout_weight="1"
                        app:cardCornerRadius="8dp"
                        app:cardElevation="3dp"
                        app:cardUseCompatPadding="true">

                        <LinearLayout style="@style/MatchWrap.Vertical">

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="5dp"
                                android:background="@color/purple_200" />

                            <!--4个白色圆角背景内，上面图标 下面文字-->
                            <!-- 图标 -->
                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:layout_gravity="center"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="5dp"
                                android:src="@drawable/total_items_icon" />

                            <TextView
                                android:id="@+id/tv_total_items"
                                style="@style/text_black25_ww"
                                android:layout_gravity="center"
                                android:text="0"
                                android:textStyle="bold" />

                            <!-- 文字 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_gravity="center"
                                android:layout_marginBottom="10dp"
                                android:text="总盘点数"
                                android:textColor="@color/c_6666"
                                android:textSize="14sp" />

                        </LinearLayout>


                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        style="@style/WrapWrap"
                        android:layout_weight="1"
                        app:cardCornerRadius="8dp"
                        app:cardElevation="3dp"
                        app:cardUseCompatPadding="true">

                        <LinearLayout style="@style/MatchWrap.Vertical">

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="5dp"
                                android:background="@color/text_blue" />

                            <!--4个白色圆角背景内，上面图标 下面文字-->
                            <!-- 图标 -->
                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:layout_gravity="center"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="5dp"
                                android:src="@drawable/counted_items_icon" />

                            <TextView
                                android:id="@+id/tv_counted_items"
                                style="@style/text_black25_ww"
                                android:layout_gravity="center"
                                android:text="0"
                                android:textStyle="bold" />

                            <TextView
                                style="@style/WrapWrap"
                                android:layout_gravity="center"
                                android:layout_marginBottom="10dp"
                                android:text="已盘数"
                                android:textColor="@color/c_6666"
                                android:textSize="14sp" />

                        </LinearLayout>


                    </androidx.cardview.widget.CardView>
                </LinearLayout>


                <LinearLayout style="@style/MatchWrap.Horizontal">

                    <androidx.cardview.widget.CardView
                        style="@style/WrapWrap"
                        android:layout_weight="1"
                        app:cardCornerRadius="8dp"
                        app:cardElevation="3dp"
                        app:cardUseCompatPadding="true">

                        <LinearLayout style="@style/MatchWrap.Vertical">

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="5dp"
                                android:background="@color/text_orange3" />

                            <!--4个白色圆角背景内，上面图标 下面文字-->
                            <!-- 图标 -->
                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:layout_gravity="center"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="5dp"
                                android:src="@drawable/surplus_items_icon" />

                            <TextView
                                android:id="@+id/tv_surplus_items"
                                style="@style/text_black25_ww"
                                android:layout_gravity="center"
                                android:text="0"
                                android:textStyle="bold" />

                            <!-- 文字 -->
                            <TextView
                                style="@style/WrapWrap"
                                android:layout_gravity="center"
                                android:layout_marginBottom="10dp"
                                android:text="盘盈数"
                                android:textColor="@color/c_6666"
                                android:textSize="14sp" />

                        </LinearLayout>


                    </androidx.cardview.widget.CardView>

                    <androidx.cardview.widget.CardView
                        style="@style/WrapWrap"
                        android:layout_weight="1"
                        app:cardCornerRadius="8dp"
                        app:cardElevation="3dp"
                        app:cardUseCompatPadding="true">

                        <LinearLayout style="@style/MatchWrap.Vertical">

                            <View
                                android:layout_width="match_parent"
                                android:layout_height="5dp"
                                android:background="@color/red" />

                            <!--4个白色圆角背景内，上面图标 下面文字-->
                            <!-- 图标 -->
                            <androidx.appcompat.widget.AppCompatImageView
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:layout_gravity="center"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="5dp"
                                android:src="@drawable/deficit_items" />

                            <TextView
                                android:id="@+id/tv_deficit_items"
                                style="@style/text_black25_ww"
                                android:layout_gravity="center"
                                android:text="0"
                                android:textStyle="bold" />

                            <TextView
                                style="@style/WrapWrap"
                                android:layout_gravity="center"
                                android:layout_marginBottom="10dp"
                                android:text="盘亏数"
                                android:textColor="@color/c_6666"
                                android:textSize="14sp" />

                        </LinearLayout>


                    </androidx.cardview.widget.CardView>
                </LinearLayout>
            </LinearLayout>
        </RelativeLayout>
    </RelativeLayout>

</androidx.appcompat.widget.LinearLayoutCompat>